Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_encode

## Name

librdf_node_encode -- Serialise a node into a buffer

## Synopsis

``size_t `librdf_node_encode`` (librdf_node* `node`, unsigned char * `buffer`, size_t `length`);`

## Arguments

`node`

  the node to serialise

`buffer`

  the buffer to use

`length`

  buffer size

## Description

Encodes the given node in the buffer, which must be of sufficient size. If buffer is NULL, no work is done but the size of buffer required is returned.

## Return value

the number of bytes written or 0 on failure.

<<< Previous | Home | Next >>>
librdf_node_equals | Up | librdf_node_decode